summaryrefslogtreecommitdiff
path: root/packages/mamona/cx3110x-diablo-2.0.15/cx3110x
diff options
context:
space:
mode:
authorLauro Ramos Venancio <lauro.venancio@indt.org.br>2008-09-02 19:04:15 -0300
committerRodrigo Vivi <rodrigo.vivi@openbossa.org>2008-10-23 18:04:37 -0300
commit94829646c42210d252a64c5133b39d3656f32ee9 (patch)
treed8f42b5048c75aee635183d1e56b748ced969d8c /packages/mamona/cx3110x-diablo-2.0.15/cx3110x
parenta3542f265dbbe71c797ae28bdebcf0f179c31db5 (diff)
Add cx3110x-diablo-2.0.15.
Diffstat (limited to 'packages/mamona/cx3110x-diablo-2.0.15/cx3110x')
-rwxr-xr-xpackages/mamona/cx3110x-diablo-2.0.15/cx3110x40
1 files changed, 40 insertions, 0 deletions
diff --git a/packages/mamona/cx3110x-diablo-2.0.15/cx3110x b/packages/mamona/cx3110x-diablo-2.0.15/cx3110x
new file mode 100755
index 0000000000..592c7032ca
--- /dev/null
+++ b/packages/mamona/cx3110x-diablo-2.0.15/cx3110x
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+MODULE="/lib/modules/`uname -r`/cx3110x.ko"
+
+swap_module () {
+ if [ -e $MODULE ]; then
+ # Removing builtin driver
+ rmmod cx3110x
+ # Inserting the new one
+ insmod $MODULE
+ # Setting device options (MAC, default country, etc)
+ if [ -x /mnt/initfs/usr/bin/wlan-cal ]; then
+ chroot /mnt/initfs /usr/bin/wlan-cal
+ fi
+ # Getting up the interface to make the firmware being loaded (stupid, i know)
+ ifconfig wlan0 up
+ else
+ echo "OOPS: $MODULE not found, the switch is not possible" 1>&2
+ fi
+}
+
+case "$1" in
+ start)
+ swap_module
+ ;;
+ stop)
+ ifconfig $IFACE down
+ rmmod cx3110x
+ ;;
+ force-reload | restart)
+ swap_module
+ ;;
+ *)
+ echo "Usage: /etc/init.d/cx3110x {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
+